%define fftw_version 2.1.3
Summary: A GNOME sound displayer.
Name: extace
Version: 1.5.1
Release: 3
License: GPL
Group: Applications/Multimedia
Source: http://download.sourceforge.net/eXtace/extace-%{version}.tar.gz
Source1: http://www.fftw.org/fftw-%{fftw_version}.tar.gz
Patch0: extace-1.2.25-libfftw.patch
Patch1: extace-1.4.4-configure.in.patch
patch2: extace-1.4.4-cflags.patch
Patch3: extace-1.5.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: esound-devel
BuildRequires: imlib-devel
URL: http://extace.sourceforge.net/

# Someone needs 
%description
eXtace is a audio visualization plugin (eye candy) for the GNOME GUI
desktop environment. It connects to EsounD and displays the audio data
as either a 3D textured landscape, a 3D pointed landscape, a 16-128
channel graphic EQ, or a colored oscilloscope.

%prep
%setup -q -a 1
%patch0 -p1 -b .libfftw
%patch1 -p1 -b .configure.in
%patch3 -p1 -b .desktop
autoheader
autoconf

%build
rm -rf $RPM_BUILD_ROOT

# Build FFTW first.
%ifarch %{ix86}
HACKFLAGS="--enable-i386-hacks"
%endif

CFLAGS="$RPM_OPT_FLAGS"
%ifarch alpha
CFLAGS="$CFLAGS -mieee"
%endif
export CFLAGS
CPPFLAGS="-I$RPM_BUILD_ROOT%{_includedir}"; export CPPFLAGS
LDFLAGS="-L$RPM_BUILD_ROOT%{_libdir}"; export LDFLAGS

pushd fftw-%{fftw_version}
%configure ${HACKFLAGS} \
	--enable-shared=no --enable-static=yes \
	--enable-debug=no --enable-debug-alignment=n
%{makeinstall}
popd

# Build Extace itself
%configure --disable-alsa
make

%install
# Now wipe out fftw, because we don't want to install it.
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/extace
%{_datadir}/gnome/apps/Multimedia/extace.desktop

%changelog
* Thu Aug 23 2001 Than Ngo <than@redhat.com> 1.5.2-3
- fix broken desktop file
- Copyright->License

* Thu Jul 19 2001 Philipp Knirsch <pknirsch@redhat.de> 1.5.1-2
- Added two missing BuildRequires (esound-devel, imlib-devel) (#49435)

* Thu Jun 21 2001 Philipp Knirsch <pknirsch@redhat.de> 1.5.1-1
- Updated to 1.5.1

* Tue Jan 30 2001 Elliot Lee <sopwith@redhat.com> 1.4.4-2
- Fix bug #14273 (issues on the Alpha) by making sure -mieee is in $CFLAGS and
  that $CFLAGS actually gets used by extace.

* Tue Jan 16 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 1.4.4
- Fixed the ALSA requirement (--disable-alsa) as most sounddrivers are now
  OSS (and it won't even compile with ALSA anymore ;).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 1.2.25

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 1.2.23
- Update fftw library to 2.1.3
- Remove specific config.guess
- Use %%makeinstall
- Don't strip binaries

* Tue Jan 04 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.2.15

* Fri Sep 03 1999 Elliot Lee <sopwith@redhat.com>
- Create extace package
- Include FFTW in here instead of using gsl (FFTW is faster).
